Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.poifs.filesystem
Interface BATManaged

All Known Implementing Classes:
  BlockAllocationTableWriter, POIFSDocument, PropertyTable, SmallBlockTableWriter

public interface BATManaged

This interface defines behaviors for objects managed by the Block Allocation Table (BAT).

Author:
  Marc Johnson (mjohnson at apache dot org)

Method Summary
`int` | `countBlocks()` Return the number of BigBlock's this instance uses
`void` | `setStartBlock(int index)` Set the start block for this instance

Method Detail

### countBlocks

    public int countBlocks()

  Return the number of BigBlock's this instance uses

  Returns:
    count of BigBlock instances

### setStartBlock

    public void setStartBlock(int index)

  Set the start block for this instance

  Parameters:
    `index` - index into the array of BigBlock instances making up the the filesystem

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation.